### Method

# Foundry DebuggerActions set_thread

since: 1.1

#### Declaration [src]

    void
    foundry_debugger_actions_set_thread (
      FoundryDebuggerActions* self,
      FoundryDebuggerThread* thread
    )

#### Description [src]

Sets the debugger thread and connects to its “changed” signal to update action states.

Available since: 1.1

Sets property | `Foundry.DebuggerActions:thread`

#### Parameters

`thread`

  Type: `FoundryDebuggerThread`

  The debugger thread.

  The argument can be `NULL`.
  The data is owned by the caller of the method.